Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2128591 - Drop hwdata.pc or move it to a devel package
Summary: Drop hwdata.pc or move it to a devel package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hwdata
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2022-09-21 08:03 UTC by Peter Robinson
Modified: 2022-10-18 15:42 UTC (History)
5 users (show)

Fixed In Version: hwdata-0.362-2.fc36 hwdata-0.362-2.fc37 hwdata-0.363-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-09-29 03:24:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Peter Robinson 2022-09-21 08:03:59 UTC
The hwdata.pc is meant for package builds looking for libraries, not meant for standard packages, as a result it pulls in the pkg-config and all it's deps which are not wanted for the vast majority of usecases where hwdata is actually used.

The hwdata.pc should be either moved to a -devel package or excluded.

Comment 1 Vitezslav Crhonek 2022-09-21 08:09:57 UTC
Hi,
Thanks for the bug report. I'll exclude hwdata.pc next update.

Comment 2 Fedora Update System 2022-09-25 15:03:54 UTC
FEDORA-2022-c5a9891c75 has been submitted as an update to Fedora 36. https://bodhi.fedoraproject.org/updates/FEDORA-2022-c5a9891c75

Comment 3 Fedora Update System 2022-09-25 15:03:55 UTC
FEDORA-2022-a963655d59 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-a963655d59

Comment 4 Fedora Update System 2022-09-25 15:03:56 UTC
FEDORA-2022-341937ef95 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-341937ef95

Comment 5 Fedora Update System 2022-09-26 01:28:23 UTC
FEDORA-2022-341937ef95 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-341937ef95`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-341937ef95

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2022-09-26 02:44:07 UTC
FEDORA-2022-a963655d59 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-a963655d59`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-a963655d59

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2022-09-26 02:53:53 UTC
FEDORA-2022-c5a9891c75 has been pushed to the Fedora 36 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-c5a9891c75`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-c5a9891c75

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2022-09-29 03:24:20 UTC
FEDORA-2022-c5a9891c75 has been pushed to the Fedora 36 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2022-09-30 00:15:09 UTC
FEDORA-2022-a963655d59 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-10-04 02:01:36 UTC
FEDORA-2022-41293eb782 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2022-41293eb782`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-41293eb782

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2022-10-18 15:42:59 UTC
FEDORA-2022-41293eb782 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.